/* 
 * File:   main.c
 * :  
 *
 * Created on 4  2015 ., 18:39
 */

#include <stdio.h>
#include <stdlib.h>
#include "config.h"
#include "lcd1202.h"

#pragma config WDTE=OFF, PWRTE=ON, BOREN=ON, BOR4V = 0, IESO=OFF, FCMEN=OFF, FOSC=INTRC_NOCLKOUT

/*
 *  LCD
 */
void main(void)
{
    static bit bLcdInv = 0; // 
    lcd_init();
    lcd_home(); //  (0,0)

    //   EEPROM
    eeprom_to_lcd('!'*FONT_WIDTH, 12*FONT_WIDTH); // 
    lcd_set_row(1);             //  1
    eeprom_to_lcd('0'*FONT_WIDTH, 12*FONT_WIDTH); //
    lcd_set_row(2);
    eeprom_to_lcd('a'*FONT_WIDTH, 12*FONT_WIDTH); //..
    lcd_set_row(3);
    eeprom_to_lcd('A'*FONT_WIDTH, 12*FONT_WIDTH); //..
    lcd_set_row(4);
    eeprom_to_lcd(''*FONT_WIDTH, 12*FONT_WIDTH); //..
    lcd_set_row(5);
    eeprom_to_lcd(''*FONT_WIDTH, 12*FONT_WIDTH); //..

    //   ,    EEPROM
    lcd_set_row(6);
    unsigned char i;
    for(i=8; i>0; i--)
    {
        lcd_write_byte(0xff, 1);
    }
    for(i=8; i>0; i--)
    {
        lcd_write_byte(0, 1);
    }
    for(i=8; i>0; i--)
    {
        lcd_write_byte(0x55, 1);
    }
    for(i=8; i>0; i--)
    {
        lcd_write_byte(0xaa, 1);
    }
    for(i=4; i>0; i--)
    {
        lcd_write_byte(0x55, 1);
        lcd_write_byte(0xaa, 1);
    }

    while (1)
    {
        pLed = !pLed;       //
	if (!pBTN) bLcdInv = !bLcdInv;  //  
        lcd_inverse(bLcdInv);           // 
        __delay_ms(500);
    }
}

