/* 
 * File:   config.h
 * :  
 *
 * Created on 18  2015 ., 18:42
 */

#ifndef CONFIG_H
#define	CONFIG_H

#define _XTAL_FREQ 4000000
#define USE_EEPROM 1
#define USE_HW_RESET 1

#include <xc.h>

#ifdef	__cplusplus
extern "C" {
#endif

//      C	PIC		
#define CLK_D	RC0     //9	 
#define MOSI_D	RC5     //5	  
#define TRIS_MOSI_D TRISC5
#define CLK_M   RC3     //6      EEPROM
#define CS_M    RB6     //3     CS EEPROM
#define MOSI_M  RC1     //4       EEPROM
#define RESET_D RC2     //8      
#define pLed    RC7
#define pBTN    RA5

//CLK  
#define CLK_0 0
#define CLK_1 1

//   4  LCD   
#define CLK_DELAY 0 //us

#ifdef	__cplusplus
}
#endif

#endif	/* CONFIG_H */

